-- REQUIRE & SHOW THE SIMULATOR CONTROLLER:
simulatorController = require("simulatorController")
simulatorController:show()


-- DRAW HERO (simple square)
hero = display.newRect(0,0,20,20)
	hero:setFillColor(255,255,255)
	hero.x, hero.y = display.contentWidth/2, display.contentHeight/2


-- RESPOND TO CONTROLLER INPUT:
function onKeyEvent( event )

   local phase = event.phase
   local keyName = event.keyName

   if ( keyName == "buttonA" and phase == "down" ) then  --A button (O on OUYA, X on PS3)
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "buttonB" and phase == "down" ) then  --B Button (A on OUYA, Circle on PS3)
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "buttonX" and phase == "down" ) then  --X button (U on OUYA, Square on PS3)
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "buttonY" and phase == "down" ) then  --Y button (Y on OUYA, Triangle on PS3)
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "up" and phase == "down" ) then  --dPad Up
      hero.y = hero.y-10
   elseif ( keyName == "down" and phase == "down" ) then  --dPad Down
      hero.y = hero.y+10
   elseif ( keyName == "left" and phase == "down" ) then  --dPad Left
      hero.x = hero.x-10
   elseif ( keyName == "right" and phase == "down" ) then  --dPad Right
      hero.x = hero.x+10
   elseif ( keyName == "buttonSelect" and phase == "down" ) then  --Select/Back Button (not used on OUYA)
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "buttonStart" and phase == "down" ) then  --Start/Home Button (not used on OUYA)
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "buttonMode" and phase == "down" ) then  --Power On/Off button
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "leftShoulderButton1" and phase == "down" ) then  --Top Left button on the front of the controller, sometimes called L1
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "rightShoulderButton1" and phase == "down" ) then  --Top Right button on the front of the controller, sometimes called R1
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "leftShoulderButton2" and phase == "down" ) then  --Bottom Left button on the front of the controller, sometimes called L2
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "rightShoulderButton2" and phase == "down" ) then  --Bottom Right button on the front of the controller, sometimes called R2
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "leftJoyStickButton" and phase == "down" ) then  --pressing down on the left Joystick Button
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   elseif ( keyName == "rightJoyStickButton" and phase == "down" ) then  --pressing down on the right Joystick button
      hero:setFillColor(math.random(0,255),math.random(0,255),math.random(0,255))
   --now deal with Android standard buttons
   elseif ( "back" == keyName and phase == "down" ) then
      --handle your hardware back button here
      return true
   end

   if ( keyName == "volumeUp" and phase == "down" ) then
      --handle the volume buttons with your code here
      return true
   elseif ( keyName == "volumeDown" and phase == "down" ) then
      --handle the volume buttons with your code here
      return true
   end
   print( "done with keys" )
   --it's important to return false so the OS will handle keys you did not process
   return false
end


-- LISTEN FOR CONTROLLER INPUT:
Runtime:addEventListener("key", onKeyEvent)